View Issue Details

Category
SSPBT:本体(SSP)
SeveritytextReproducibilityalways 
Status closed 
Fixed in Version2.4 (リリース) 
Summary0000053: SSP 2.4.52~56(現在最新版)下、Wine環境下でSSP起動時のゴーストの自動更新チェックが終了しない。
Description

SSP起動時に行われる、ゴーストの自動更新チェックに際して、
更新チェック中のバルーンが表示されたまま終了されず、ゴーストがその後の動作を行わない。
この間に、ゴーストを画面左へとドラッグすると、バルーンがゴーストの左側から右側へと移動すると同時に、更新チェックが終了し、その後の動作を行う。
SSP 2.4.51、又それ以前のバージョンではこの現象は発生せず。

環境:Zorin OS 15.1(64bit)、Wine 4.0.3

Relationships

related to 0000063 closedponapalt houchi.dll SAORI互換処理系の挙動に不審な点がある 

Activities

ponapalt

2020-02-13 16:55

administrator   ~0000089

2.4.57でちょっと変えたつもりです。

guest

2020-02-14 21:10

reporter   ~0000090

マイナーな環境にもかかわらず、お手数をおかけしてしまい申し訳ございません。
まずはじめに、報告した症状について、発生ゴーストは、「人体視願/ヴィイ」であるとの記載を忘れておりました。
申し訳ございません。
ver. 2.4.57でも症状の改善は見られませんでした。
これに関して、他のゴースト(猫刻、怪奇!お風呂場に潜む霊!、Emily)では、この現象は見られませんでした。
また、他のゴーストを呼ぶ機能に於いて、(少なくとも人体視願/ヴィイのみを起動した状態で)他のゴーストも召喚した場合、
ゴーストの召喚が即座に行われず、ヴィイをダブルクリックしてバルーンを表示させたときに起動するという現象が見られました。
(いくつも起動させようとしていた場合は、一気に起動させようとしていたゴースト全てが起動)
これらのことから、ヴィイの方に原因があることも考えられますが、以前は問題無かったので
SSPの本体のバグとして報告させて頂きます。
その他のゴーストでの挙動については未検証ですが、パッと試した感じでは、問題ありませんでした。(塔書館様のところの、ドロシー、が起動すると
その時の画面を切り取ったような画像が最前面に表示されたままになるという現象はありましたが、これは2.4.51でも発生しましたので、この件とは取り敢えず関係が無いと思われます。

よろしくお願いします。

環境:Zorin OS 15.1(64bit)、Wine 4.0.3

ponapalt

2020-02-27 14:54

administrator   ~0000095

2.4.58はどうですか。

guest

2020-03-02 08:26

reporter   ~0000105

2.4.56、57のときと挙動の変化は見られませんでした。
バージョンが関係在るのか、偶然だったのかは未検証ですが、2.4.58では人体視願/ヴィイの挙動が
常に離席中、長時間画面を触らなかったときの挙動になっている、(おかえり系のコメント)になっている気がしました。

お手数をおかけしてしまい申し訳ございません。

ponapalt

2020-03-02 08:31

administrator   ~0000106

Last edited: 2020-03-02 08:31

View 2 revisions

.59でも変わらないですよね…。.58で多少関係しそうなミスがあったので。
なぜか同じ環境を整えてもうちだと再現しない…

guest

2020-03-02 20:32

reporter   ~0000107

.59でも挙動の変更は見られませんでした。
15秒程ですが、起動時の挙動を一応録画致しました。よろしければご確認ください。

ttps://youtu.be/4eE2PgcRRN0 (h抜き)

環境として、他に何か関係ありそうな部分をデフォルトから変更しった記憶はないのですが、
GNOMEを拡張機能の[Hide Clock]を用いて、タスクバーに時刻を表示させないようにしています。
おそらく関係ないと思うのですが、拡張機能で以前タスクアイコンを表示させたときに、ゴーストのバルーンの表示にバグが発生していたことがあったので
(とはいえ、SSP以外にも、Firefoxなどの一部リンクのホップアップ表示などにもバグが表示されていたので、これもSSP側に何かエラーがあったのではないと思うのですが)
一応報告させて頂きます。

また、ZorinOS 15の詳細な環境についてですが、常に最新バージョンに更新し続けて(アップデートが自動配信されるたびに更新して)おります。

何度も何度もお手数をおかけしてしまい申し訳ございません。

ponapalt

2020-03-06 13:03

administrator   ~0000115

.60以降でどうですか。

guest

2020-03-06 20:14

reporter   ~0000117

.61に更新したところ、起動時の挙動、並びに、《人体視願/ヴィイ》のみが起動されている状態で他のゴーストを召喚した場合の挙動が
正常になっておりました。(.60は試していないので、どちらのアップデートが要因かはわかりかねます。申し訳ございません。)

何度もお手数をおかけしてしまい、申し訳ございませんでした。

加えまして、未だに偶然である可能性は捨てきれないのですが、《人体視願/ヴィイ》の放置時の挙動が、
.51では、
七分間、寿司打、twitterのTLの閲覧等をした後(何を以て判断をしているのかがわからなかったため、取り敢えずキーボード入力とマウス入力系)、ヴィイに触れた場合、「急に触られるとびっくりする」などの返答が帰ってくるのですが
それ以降だと、
七分間、同様に、寿司打、twitterのTLの閲覧等をした後にヴィイにに触れると、「おかえり」といった返答が帰ってきます。
.61で一分、三分間放置した場合は、このリアクションは怒らなかったため、
六分や七分間の放置をしたところ、この挙動が確認されたので、七分で統一して(若干の誤差はありますが)、
.61の場合と.51の場合でそれぞれ二回ずつ確認致しましたところ、それぞれ上記の挙動でした。

偶然の可能性が捨てきれない、また(私が正確な挙動を知らないので)これ以上正確な検証のしようがないのですが、
バクの可能性が高いのかと思いますので、以前の報告(.58における挙動の報告時)に引き続き報告させて頂きます。

気がついたきっかけとしましては、普段あまり見ない「おかえり」系の反応が(短時間触らなかっただけで)多いな、と感覚的に思ったことです。

当初のバグ報告とは趣旨が異なり(おそらく同様に.51とそれ以降での挙動の違いだとは思われますが。)、
また当初のバグは修正していただきましたので、
新たにバグ報告をし直したほうが宜しいようでしたら、このコメントへの返信はして頂かないでクローズして頂いても構いません。

何度もお手数をおかけしてしまい申し訳ございません。

ponapalt

2020-03-07 23:22

administrator   ~0000118

本件はいったんクローズし、63番「houchi.dll SAORI互換処理系の挙動に不審な点がある」に以降分離します。

ponapalt

2020-03-07 23:24

administrator   ~0000119

クローズし63番に分離

Issue History

Date Modified Username Field Change
2020-02-09 10:49 guest New Issue
2020-02-13 16:55 ponapalt Assigned To => ponapalt
2020-02-13 16:55 ponapalt Status new => assigned
2020-02-13 16:55 ponapalt Note Added: 0000089
2020-02-14 21:10 guest Note Added: 0000090
2020-02-27 14:54 ponapalt Note Added: 0000095
2020-03-02 08:26 guest Note Added: 0000105
2020-03-02 08:31 ponapalt Note Added: 0000106
2020-03-02 08:31 ponapalt Note Edited: 0000106 View Revisions
2020-03-02 20:32 guest Note Added: 0000107
2020-03-06 13:03 ponapalt Note Added: 0000115
2020-03-06 20:14 guest Note Added: 0000117
2020-03-07 23:21 ponapalt Issue cloned: 0000063
2020-03-07 23:21 ponapalt Relationship added parent of 0000063
2020-03-07 23:22 ponapalt Note Added: 0000118
2020-03-07 23:23 ponapalt Relationship deleted parent of 0000063
2020-03-07 23:23 ponapalt Relationship added related to 0000063
2020-03-07 23:24 ponapalt Status assigned => closed
2020-03-07 23:24 ponapalt Resolution open => fixed
2020-03-07 23:24 ponapalt Fixed in Version => 2.4 (リリース)
2020-03-07 23:24 ponapalt Note Added: 0000119